Package org.eclipse.viatra.query.runtime.matchers.util.timeline

## Class Timelines<Timestamp extends java.lang.Comparable<Timestamp>>

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.util.timeline.Timelines<Timestamp>

-     public final class Timelines<Timestamp extends java.lang.Comparable<Timestamp>>
      extends java.lang.Object

  Utility class for creating `Timeline`s.
  Since:
    2.4

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Timelines()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp>` | `createEmpty()` |
    `static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp>` | `createFrom​(java.util.List<Timestamp> timestamps)` |
    `static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp>` | `createFrom​(Diff<Timestamp> diffs)` |
    `static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp>` | `createFrom​(Timestamp timestamp)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Timelines

          public Timelines()

  - ### Method Detail

    - #### createEmpty

          public static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp> createEmpty()

    - #### createFrom

          public static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp> createFrom​(Diff<Timestamp> diffs)

    - #### createFrom

          public static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp> createFrom​(java.util.List<Timestamp> timestamps)

    - #### createFrom

          public static <Timestamp extends java.lang.Comparable<Timestamp>> Timeline<Timestamp> createFrom​(Timestamp timestamp)